
Redmine - Defect #6956

Back to search results go to first record

2010-11-22 10:15 - Andrea Saccavini

Status: Closed Start date: 2010-11-22

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

This is the bug:

1. perform a search

2. goto next page of results

3. select a result an click on it

now if you go back with the browser, you will not see the correct results page (in the example the second one) but always the first

one.

This is true for both Safari and FF, I did not try il on IE.

Related issues:

Related to Redmine - Defect #1965: Redmine is not Tab Safe Closed 2008-09-29

Has duplicate Redmine - Defect #7736: Going back to search results after exam... Closed 2011-02-28

History

#1 - 2011-03-08 18:18 - Etienne Massip

- Subject changed from Back to serch results go to first record to Back to search results go to first record

Typo

#2 - 2011-03-08 23:06 - Pierre-Luc Samuel

The way GMail does it is interesting and could be a source of inspiration.  They use hashtags at the end of the URL to remember the state.  So, for

instance, when clicking on Inbox, the URL changes to "https://mail.google.com/mail/?ui=2#inbox/", and when accessing the 2nd page of the Inbox,

the URL becomes "https://mail.google.com/mail/?ui=2#inbox/p2".

So, when going back to the "#inbox/p2" page, the AJAX script checks the URL and returns to page 2 on load.

#3 - 2011-11-26 14:40 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed since AJAX pagination was removed.
